/*******************************************************************************
*
*	TITLE:		clock.h 
*
*	VERSION:	0.3 (Beta)                           
*
*	DATE:		18-Dec-2003
*
*	AUTHOR:		R. Kevin Watson
*				kevinw@jpl.nasa.gov
*
*	COMMENTS:
*
********************************************************************************
*
*	CHANGE LOG:
*
*	DATE         REV  DESCRIPTION
*	-----------  ---  ----------------------------------------------------------
*	14-Dec-2003  0.1  RKW Original
*	16-Dec-2003  0.2  Accuracy bug: Changed the value of PR2 to 249 (was 250)
*	18-Dec-2003  0.3  Fixed 25 hour/day and 366 day/year bugs
*
*******************************************************************************/

#ifndef _clock_h
#define _clock_h

// function prototypes
void Initialize_Timer_2(void);	// initializes the timer 2 hardware
void Timer_2_Int_Handler(void);	// timer 1 interrupt handler
void Display_Time(void); 		//formats and displays the time once a second

// global variables
extern volatile unsigned long msClock;	// one millisecond clock located in clock.c
extern volatile unsigned long Clock;	// one second clock located in clock.c

#endif // _clock_h
